% **************************************************************************** %
% Author: Stefan Berger
% => stefan.berger@rwth-aachen.de
% => berger.st.11.11@gmail.com
% Created: February
% **************************************************************************** %

  % -------------------------------------------------------------------------- %
  % TODOs
  % -------------------------------------------------------------------------- %
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % TEMPLATE RELATED TODOS
	% -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % FINAL CHECK FOR EVERY PROJECT:
  % -------------------------------------------------------------------------- %
  % [x] Check if all descriptions of figures are detailed enough
  % [x] Bibliography check:
  %   [x] Remove ISSN and DOI and put DOI as URL
  %   [x] Check double names: Make "Last, AB" to "Last, A B"
  % [X] Resolve all TODOs
  % [X] Check for errors in LaTeX log
  % [ ] Apply Spell Checker and Grammar Checker to all files
  % [X] Check bibliography style consistency: URLS, ...
  % [x] Check titlecase for chapter headings
  % [ ] Hand out preprint/draft to supervisor for correction
  % [ ] Check German and English title
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % FINAL CHECK FOR A THESIS:
  % -------------------------------------------------------------------------- %
  % [ ] Check for errors in Adobe Reader printing
  % [ ] Add all acronyms to glossary and fill list of symbols
  % [ ] Think if some appendix is required to reproduce work
  % [ ] Think about adding a CV to the end
  % [ ] Publish simulation files (e.g. RWTH Archive or Zenodo)
  % [ ] Check if legal documents are required separately
  % -------------------------------------------------------------------------- %

% **************************************************************************** %


% **************************************************************************** %
% USER SETTINGS
% **************************************************************************** %

  % -------------------------------------------------------------------------- %
  % SETTINGS 1
  % -------------------------------------------------------------------------- %

    % Draft Switch
    % \newcommand{\draftSwitch}{draft}
    \newcommand{\draftSwitch}{}

    % Two sided Switch
    % \newcommand{\twosideSwitch}{twoside=on}
    \newcommand{\twosideSwitch}{twoside=off}
    % \newcommand{\twosideSwitch}{twoside=semi}

  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % TEMPLATE PATH
  % -------------------------------------------------------------------------- %
    \newcommand{\templatePath}{../}
    \input{\templatePath/thesis-en.tex} % chktex 27
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % BIBLIOGRAPHY PATH
  % -------------------------------------------------------------------------- %
    \addbibresource{literature/references.bib }
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % SETTINGS 2
  % -------------------------------------------------------------------------- %

    % Glossary:
    \newboolean{printGlossary}
    \setboolean{printGlossary}{true}
    % \setboolean{printGlossary}{false}

    % Index:
    \newboolean{printIndex}
    % \setboolean{printIndex}{true}
    \setboolean{printIndex}{false}

    % Print version (hide signature image):
    \newboolean{printVersion}
    % \setboolean{printVersion}{true}
    \setboolean{printVersion}{false}

    % LOF,LOL,LOT,LOS on same page (for short theses as seminar):
    \newboolean{listOfsOnSamePage}
    \setboolean{listOfsOnSamePage}{true}
    % \setboolean{listOfsOnSamePage}{false}

    % Data path for pgfplots:
    % => Use in pgfplots as \addplot table {\datapath/data.csv}
    \newcommand{\datapath}{./data}

  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % THESIS INFORMATION
  % -------------------------------------------------------------------------- %
  % -------------------------------------------------------------------------- %

% **************************************************************************** %



% **************************************************************************** %
% DOCUMENT
% **************************************************************************** %
  \includeonly{%
    content/1_introduction,%
    content/2_mathematicalFoundation,%
    content/3_densityOperator,%
    content/4_differentialGeometry,%
    content/5_ManifoldInterpolation,%
    content/6_EnergyBasedInterpolation,%
  }
% **************************************************************************** %
  \begin{document}

  % -------------------------------------------------------------------------- %
  % Title page
  % -------------------------------------------------------------------------- %
    \pagenumbering{roman}
    \input{content/i_titlepage.tex}
    \cleardoublepage{}
  % -------------------------------------------------------------------------- %


  % -------------------------------------------------------------------------- %
  % Legal Declaration
  % -------------------------------------------------------------------------- %
    % \input{content/ii_legal.tex}
    % \cleardoublepage{}
  % -------------------------------------------------------------------------- %


  % -------------------------------------------------------------------------- %
  % Abstract
  % -------------------------------------------------------------------------- %
    % \input{content/iii_abstract_de.tex}
    % \cleardoublepage{}
    % \input{content/iii_abstract_en.tex}
    % \cleardoublepage{}
  % -------------------------------------------------------------------------- %


  % -------------------------------------------------------------------------- %
  % Abstract
  % -------------------------------------------------------------------------- %
    % \input{content/iv_acknowledgments.tex}
    % \cleardoublepage{}
  % -------------------------------------------------------------------------- %


  % -------------------------------------------------------------------------- %
  % Preface
  % -------------------------------------------------------------------------- %
  % \input{content/v_preface.tex}
  % \cleardoublepage{}
  % -------------------------------------------------------------------------- %


  % -------------------------------------------------------------------------- %
  % Table of Content
  % -------------------------------------------------------------------------- %
    \setcounter{tocdepth}{3} % only TOC to layer 3
    {%
      \hypersetup{hidelinks} % no color in TOC
      \tableofcontents % TOC with Roman numbers like I, II, III, IV,..
      \cleardoublepage{}
    }
  % -------------------------------------------------------------------------- %


  % -------------------------------------------------------------------------- %
  % LOF, LOT, LOL, LOS
  % -------------------------------------------------------------------------- %
    \pagenumbering{Roman}
    {
      % \hypersetup{hidelinks} % color to black but keep links

      % % LOF
      % \listoffigures
      % \ifthenelse{\boolean{listOfsOnSamePage}}{}{\cleardoublepage}

      % % LOT
      % \listoftables\setcounter{table}{0}
      % \ifthenelse{\boolean{listOfsOnSamePage}}{}{\cleardoublepage}

      % % LOL
      % \lstlistoflistings\
      % \ifthenelse{\boolean{listOfsOnSamePage}}{}{\cleardoublepage}

      % % LOS
      % \ifthenelse{\boolean{printGlossary}}{
      %   \printnomenclature[2cm]\input{content/vi_nomenclature}
      %   \ifthenelse{\boolean{listOfsOnSamePage}}{}{\cleardoublepage}
      % }{}

      % % Separate from actual content
      % \cleardoublepage{}
    }
  % -------------------------------------------------------------------------- %


  % -------------------------------------------------------------------------- %
  % Actual content
  % -------------------------------------------------------------------------- %
    \pagenumbering{arabic}
    \include{content/1_introduction}\clearpage{}
    \include{content/2_mathematicalFoundation}\clearpage{}
    \include{content/3_densityOperator}\clearpage{}
    \include{content/4_differentialGeometry.tex}\clearpage{}
    \include{content/5_ManifoldInterpolation.tex}\clearpage{}
    \include{content/6_EnergyBasedInterpolation.tex}\clearpage{}

  % -------------------------------------------------------------------------- %


  % -------------------------------------------------------------------------- %
  % APPENDIX
  % -------------------------------------------------------------------------- %
    \appendix
    % \include{content/a_derivations}\clearpage{}
    % \include{content/b_solver}\clearpage{}
    % \include{content/c_inputfiles}\clearpage{}
    % \include{content/d_fenicsexamples}\clearpage{}
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % Bibliography
  % -------------------------------------------------------------------------- %
    \clearpage{}
    \printbibliography{}
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % INDEX
  % -------------------------------------------------------------------------- %
  % TODO uncomment?
  % \ifthenelse{\boolean{printIndex}}{
  %   \printindex
  % }{}
  % -------------------------------------------------------------------------- %

  \end{document}
% **************************************************************************** %